Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Remove Users from Chatroom Allowlist

Remove one or more users from the allowlist of a specified chatroom.

Request Method

POST: https://data center domain/chatroom/user/whitelist/remove.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests must be validated according to the signature rules. For details, refer to API Request Signature.

Body Parameters

The HTTP request body is formatted as application/x-www-form-urlencoded and supports the following HTTP form parameters:

ParameterTypeRequiredDescription
chatroomIdStringYesThe ID of the chatroom.
userIdStringYesThe user ID(s) in the chatroom allowlist. Multiple user IDs can be submitted, with a maximum of 5.

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueTypeDescription
codeNumberThe return code, where 200 indicates success.

Request Example

POST /chatroom/user/whitelist/remove.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

chatroomId=16&userId=123&userId=456

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":200}